<?php

declare(strict_types=1);

namespace Dedi\SyliusMaintenancePlugin\DependencyInjection\Settings;

class Settings implements SettingsInterface
{
    public function __construct(
        private readonly bool $enabled,
        private readonly array $ipList,
    ) {
    }

    public function isEnabled(): bool
    {
        return $this->enabled;
    }

    public function getIpList(): array
    {
        return $this->ipList;
    }
}
